const redisConfig = require('config').get('redis');

exports.default = function() {
  let redisUrl = 'redis://';

  // add the redis username if defined
  if (typeof redisConfig.get('username') !== 'undefined') {
    redisUrl += redisConfig.get('username');
  }
  // add the user password if defined
  if (typeof redisConfig.get('password') !== 'undefined') {
    redisUrl += ':' + redisConfig.get('password') + '@';
  }
  // add redis host URL
  redisUrl += redisConfig.get('host');
  // add redis host port
  redisUrl += ':' + redisConfig.get('port');
  // add redis database number if defined
  if (typeof redisConfig.get('number') !== 'undefined') {
    redisUrl += redisConfig.get('number');
  }

  const { createClient } = require("redis");
  let redisClient = createClient({
    url: redisUrl,
    legacyMode: true,
  });
  redisClient.connect().catch(console.error);

  return redisClient;
};
